# Halo Announcer & HUD Revamp Compatibility Patch

This mod changes cl_hud.gnut to contain the required code for both <a href="https://northstar.thunderstore.io/package/EladNLG/HUDRevamp/">HUD Revamp (by EladNLG)</a> and <a href="https://northstar.thunderstore.io/package/Capt_Diqhedd/HaloAnnouncer/">Halo Announcer (by me).</a>

As such, this mod also requires you have both already installed AND enabled.

This patch is required for all of Halo Announcer to function properly for HUD Revamp 2.0. If you have a previous version of HUD Revamp, it will only effect some parts of the mod such as the Infantry Streak, Assist Streak, Headshot sound effects, and more.

If you're using an older version, get v1.4.6 of this mod instead.

### <a href="https://northstar.thunderstore.io/package/Capt_Diqhedd/ClientKillCallback_HUDRevamp_Compatibility_Patch/">If you'd like a version of this mod that doesn't pertain to Halo Announcer, and just makes Client Kill Callback compatible with Hud Revamp 2.0, you can get it here!</a>

<hr>

# Gitbook

### <a href="https://captaindiqhedd.gitbook.io/caps-titanfall-2-mods/mods/halo-announcer">Visit the Gitbook page for more information and other mods!</a>

<hr>

# Changelog:
## v1.4.8 (Oct. 19th, 2023):
- Updated patch to add compatibility to VanillaPlus. (I forgot this mod also had the poop code I removed from the main mod, oopsie (sorry (seriously)))
- Additionally, if you just need a temporary fix for ClientKillCallback and Hud Revamp 2.0, you can download it <a href="https://northstar.thunderstore.io/package/Capt_Diqhedd/ClientKillCallback_HUDRevamp_Compatibility_Patch/">here.</a>

## v1.4.7 (Jul. 3rd, 2023):
- Updated patch to make Halo Announcer compatible with HUD Revamp 2. If you're using an earlier version of HUD Revamp, use an earlier version of this mod.

## v1.4.6 (Jun. 3rd, 2023):
- Reverted mod name change so check still works properly and fixed incorrect links/versions

## v1.4.4 (Jun. 3rd, 2023):
- Added Compatibility Patch to Thunderstore (nothing actually changed)

## v1.4.0 (Oct. 14th, 2022):
- Mod released on Gitbook.

<hr>

# Issues? Suggestions?

<a href="https://docs.google.com/forms/d/e/1FAIpQLSdG4lg1YtshEneuk6J5uJC-VYfDM1K6aUO9rbhKJJuElZCebg/viewform?usp=sf_link">If you'd like to submit suggestions or a bug report, you can do so here!</a>

## Donate
If you enjoy my mods and want to give me money for some ungodly reason, you can do so <a href="https://ko-fi.com/capt_diqhedd">here!</a>